# Module `posix.sys.utsname`

Get System Identification.

## Functions

uname () | Return information about this machine.

## Tables

utsname | System identification record.

## Functions

uname ()
  Return information about this machine.

  ### Returns:

  utsname system information, if successful

  ### Or

  1. nil
  2. string error message
  3. int errnum

  ### See also:

  uname(2)

## Tables

utsname
  System identification record.

  ### Fields:

  - machine string hardware platform name
  - nodename string network node name
  - release string operating system release level
  - sysname string operating system name
  - version string operating system version

generated by LDoc 1.5.0 Last updated 2025-02-16 13:16:41